@ECHO OFF

SET TIGCCVERSION=0.95

SET WIZARDDIR=..\..\Installation Creator

SET ZIPDIR=D:\Downloads\Taschenrechner\TIGCC\TIGCC v%TIGCCVERSION%
SET DESTDIR=%ZIPDIR%\Source

SET TIGCCDIR=C:\Programme\Taschenrechner\TI-GCC
SET IDEDIR=..
SET SYSTEMSOURCEDIR=..\..\..\Source
SET COMMONSOURCEDIR=D:\Eigene Dateien\Standard-Delphi-Units
SET OBJ2TIDIR=%TIGCCDIR%\Bin\Source
SET TIGCCEXEDIR=..\TIGCC
SET ARCHIVEDIR=%TIGCCDIR%\Lib
SET DOCDIR=%TIGCCDIR%\Doc
SET DOCPROGSDIR=..\HTML Help
SET DOCUPDATEPROGSDIR=%DOCPROGSDIR%\Update
SET DOCEDITPROGSDIR=%DOCPROGSDIR%\Edit
SET DOCGNUPROGSDIR=%DOCPROGSDIR%\GNUDocs
SET SETUPDIR=.

SET WINZIPDIR=C:\Programme\WinZip
IF "%WINZIPDIR%" == "" GOTO Failure

SET CURDIR=%DESTDIR%\archive

ECHO Processing %CURDIR%...
DELTREE /Y "%CURDIR%"
MD "%CURDIR%"
MD "%CURDIR%\startup"
COPY "%ARCHIVEDIR%\*.tpr" "%CURDIR%"
COPY "%ARCHIVEDIR%\*.c" "%CURDIR%"
COPY "%ARCHIVEDIR%\*.s" "%CURDIR%"
COPY "%ARCHIVEDIR%\*.txt" "%CURDIR%"
COPY "%ARCHIVEDIR%\startup\*.c" "%CURDIR%\startup"
COPY "%ARCHIVEDIR%\startup\*.s" "%CURDIR%\startup"
COPY "%ARCHIVEDIR%\startup\*.txt" "%CURDIR%\startup"
ECHO;

SET CURDIR=%DESTDIR%\ide

ECHO Processing %CURDIR%...
DELTREE /Y "%CURDIR%"
MD "%CURDIR%"
MD "%CURDIR%\CodeCompletion"
MD "%CURDIR%\CodeCompletion\Editor"
COPY "%IDEDIR%\*.dpr" "%CURDIR%"
COPY "%IDEDIR%\*.pas" "%CURDIR%"
COPY "%IDEDIR%\*.dfm" "%CURDIR%"
COPY "%IDEDIR%\*.res" "%CURDIR%"
COPY "%IDEDIR%\*.dof" "%CURDIR%"
COPY "%IDEDIR%\*.cfg" "%CURDIR%"
COPY "%IDEDIR%\*.dsk" "%CURDIR%"
COPY "%IDEDIR%\CodeCompletion\*.pas" "%CURDIR%\CodeCompletion"
COPY "%IDEDIR%\CodeCompletion\*.dfm" "%CURDIR%\CodeCompletion"
COPY "%IDEDIR%\CodeCompletion\Editor\*.pas" "%CURDIR%\CodeCompletion\Editor"
COPY "%IDEDIR%\CodeCompletion\Editor\*.dfm" "%CURDIR%\CodeCompletion\Editor"
ECHO;

SET CURDIR=%DESTDIR%\components

ECHO Processing %CURDIR%...
DELTREE /Y "%CURDIR%"
MD "%CURDIR%"
COPY "%SYSTEMSOURCEDIR%\HTMLHelpUnit.pas" "%CURDIR%"
COPY "%SYSTEMSOURCEDIR%\MemoComponentUnit.pas" "%CURDIR%"
COPY "%SYSTEMSOURCEDIR%\SourceEditUnit.pas" "%CURDIR%"
COPY "%SYSTEMSOURCEDIR%\URLLabelUnit.pas" "%CURDIR%"
COPY "%SYSTEMSOURCEDIR%\Source Editor Readme.txt" "%CURDIR%"
ECHO;

SET CURDIR=%DESTDIR%\general

ECHO Processing %CURDIR%...
DELTREE /Y "%CURDIR%"
MD "%CURDIR%"
COPY "%SYSTEMSOURCEDIR%\FileReadToBufferThreadUnit.pas" "%CURDIR%"
COPY "%SYSTEMSOURCEDIR%\HandleWaitThreadUnit.pas" "%CURDIR%"
COPY "%COMMONSOURCEDIR%\ObjList.pas" "%CURDIR%"
COPY "%COMMONSOURCEDIR%\UtilsDos.pas" "%CURDIR%"
COPY "%COMMONSOURCEDIR%\UtilsSys.pas" "%CURDIR%"
COPY "%COMMONSOURCEDIR%\UtilsWin.pas" "%CURDIR%"
ECHO;

SET CURDIR=%ZIPDIR%\TempDoc

ECHO Processing %CURDIR%...
DELTREE /Y "%CURDIR%"
MD "%CURDIR%"
XCOPY "%DOCDIR%\System\*.txt" "%CURDIR%\System\"
XCOPY "%DOCDIR%\System\*.lst" "%CURDIR%\System\"
XCOPY "%DOCDIR%\System\CHMFiles\*.hhp" "%CURDIR%\System\CHMFiles\"
XCOPY "%DOCDIR%\System\CHMFiles\*.hhc" "%CURDIR%\System\CHMFiles\"
XCOPY "%DOCDIR%\System\CHMFiles\*.stp" "%CURDIR%\System\CHMFiles\"
XCOPY "%DOCDIR%\System\CHMFiles\*.gif" "%CURDIR%\System\CHMFiles\"
XCOPY "%DOCDIR%\System\CHMFiles\*.css" "%CURDIR%\System\CHMFiles\"
XCOPY "%DOCDIR%\System\CHMFiles\index.html" "%CURDIR%\System\CHMFiles\"
XCOPY "%DOCDIR%\System\Include\" "%CURDIR%\System\Include\" /S
XCOPY "%DOCDIR%\System\Info\" "%CURDIR%\System\Info\" /S
XCOPY "%DOCDIR%\System\Keywords\" "%CURDIR%\System\Keywords\" /S
XCOPY "%DOCPROGSDIR%\*.pas" "%CURDIR%\Programs\"
COPY "%DOCPROGSDIR%\HelpSystem-Dummy.ini" "%CURDIR%\Programs\HelpSystem.ini"
XCOPY "%DOCUPDATEPROGSDIR%\*.dpr" "%CURDIR%\Programs\Update\"
XCOPY "%DOCUPDATEPROGSDIR%\*.dof" "%CURDIR%\Programs\Update\"
XCOPY "%DOCUPDATEPROGSDIR%\*.cfg" "%CURDIR%\Programs\Update\"
XCOPY "%DOCUPDATEPROGSDIR%\*.dsk" "%CURDIR%\Programs\Update\"
XCOPY "%DOCUPDATEPROGSDIR%\*.exe" "%CURDIR%\Programs\Update\"
XCOPY "%DOCEDITPROGSDIR%\*.dpr" "%CURDIR%\Programs\Edit\"
XCOPY "%DOCEDITPROGSDIR%\*.dof" "%CURDIR%\Programs\Edit\"
XCOPY "%DOCEDITPROGSDIR%\*.cfg" "%CURDIR%\Programs\Edit\"
XCOPY "%DOCEDITPROGSDIR%\*.dsk" "%CURDIR%\Programs\Edit\"
XCOPY "%DOCEDITPROGSDIR%\*.exe" "%CURDIR%\Programs\Edit\"
XCOPY "%DOCGNUPROGSDIR%\*.dpr" "%CURDIR%\Programs\GNUDocs\"
XCOPY "%DOCGNUPROGSDIR%\*.dof" "%CURDIR%\Programs\GNUDocs\"
XCOPY "%DOCGNUPROGSDIR%\*.cfg" "%CURDIR%\Programs\GNUDocs\"
XCOPY "%DOCGNUPROGSDIR%\*.dsk" "%CURDIR%\Programs\GNUDocs\"
XCOPY "%DOCGNUPROGSDIR%\*.exe" "%CURDIR%\Programs\GNUDocs\"
XCOPY "%DOCGNUPROGSDIR%\Fix\*.txt" "%CURDIR%\Programs\GNUDocs\"
ECHO;

SET CURDIR=%DESTDIR%\doc

ECHO Processing %CURDIR%...
DELTREE /Y "%CURDIR%"
MD "%CURDIR%"
"%WIZARDDIR%\CallProgram.exe" "%WINZIPDIR%\WinZip32.exe" -a -r -ex "%CURDIR%\doc.zip" "%ZIPDIR%\TempDoc"
DELTREE /Y "%ZIPDIR%\TempDoc"

SET CURDIR=%DESTDIR%\tigcc

ECHO Processing %CURDIR%...
DELTREE /Y "%CURDIR%"
MD "%CURDIR%"
COPY "%TIGCCEXEDIR%\*.dpr" "%CURDIR%"
COPY "%TIGCCEXEDIR%\*.res" "%CURDIR%"
COPY "%TIGCCEXEDIR%\*.dof" "%CURDIR%"
COPY "%TIGCCEXEDIR%\*.cfg" "%CURDIR%"
COPY "%TIGCCEXEDIR%\*.dsk" "%CURDIR%"
ECHO;

SET CURDIR=%DESTDIR%\setup

ECHO Processing %CURDIR%...
DELTREE /Y "%CURDIR%"
MD "%CURDIR%"
COPY "%SETUPDIR%\*.dpr" "%CURDIR%"
COPY "%SETUPDIR%\*.pas" "%CURDIR%"
COPY "%SETUPDIR%\*.dfm" "%CURDIR%"
COPY "%SETUPDIR%\Setup.res" "%CURDIR%"
COPY "%SETUPDIR%\TIGCCUninst.res" "%CURDIR%"
COPY "%SETUPDIR%\*.dof" "%CURDIR%"
COPY "%SETUPDIR%\*.cfg" "%CURDIR%"
COPY "%SETUPDIR%\*.dsk" "%CURDIR%"
COPY "%SETUPDIR%\*.bat" "%CURDIR%"
COPY "%WIZARDDIR%\No Files.res" "%CURDIR%\Files.res"
COPY "%WIZARDDIR%\*.exe" "%CURDIR%"
ECHO;

ECHO Creating zip in %ZIPDIR%...
DEL "%ZIPDIR%\tigccsrc.zip"
"%WIZARDDIR%\CallProgram.exe" "%WINZIPDIR%\WinZip32.exe" -a -r -ex "%ZIPDIR%\tigccsrc.zip" "%DESTDIR%"

ECHO Finished.

GOTO End
:Failure
ECHO Failed.
:End
